Welcome!

Join our community of MMO enthusiasts and game developers! By registering, you'll gain access to discussions on the latest developments in MMO server files and collaborate with like-minded individuals. Join us today and unlock the potential of MMO server development!

Join Today!

FW v496 updated ServerVM+ Client

Experienced Elementalist
Joined
Nov 1, 2015
Messages
279
Reaction score
176
[Release] FW v496 updated ServerVM+ Client

Client:
ServerVM:

Updated ServerVM with all available fixes including gm fix: Note: all the logins and passwords are the same as the older one.

Server and client sourcecode:
password for the rars is Fyyre
I want to give Fyyre a huge thank you for releasing this sourcecode.

This is exactly the same as the previous release, passwords, etc. All i have done is create a new VM using CentOS 7 and copied the stuff over to it from the old fedora 20 vm. It is tested and working, iweb, etc. I have edited the start.sh to start realm2 so that anyone using it has access to fissures and crucible.

I recommend at minimum do a yum update once per month to get the latest security updates etc.

enjoy
 
Last edited:
Newbie Spellweaver
Joined
Aug 29, 2010
Messages
37
Reaction score
7
Passwords and Login Information

server
username : root
password : root

mysql database
username : root
password : 123456
database name : fw

Do once after login ( to check your server IP )

Code:
ifconfig
(add this IP to server.lua in client )

Server start

Code:
/server-fw/start.sh

Web site to create accounts,addGM, get leafs, update passwords



iweb



Send Mail (http://forum.ragezone.com/f783/release-forsaken-world-iweb-sendmail-952129/)



P.S. Thx for release
 
Last edited:
Newbie Spellweaver
Joined
Feb 8, 2019
Messages
14
Reaction score
1
Милос. Я очень благодарен вам за проделанную работу по обновлению сервера и за то, что вы потратили время для всех нас. Удачи и всего наилучшего. Вы супер
 
Newbie Spellweaver
Joined
Jan 20, 2015
Messages
10
Reaction score
4
Hello Milos, can you share only sendmail? I can't find it and my sendmail isn't work.

edit
Now it's Working, thanks
 
Last edited:
Experienced Elementalist
Joined
Nov 1, 2015
Messages
279
Reaction score
176
if that doesn't work let me know.
 
Newbie Spellweaver
Joined
Feb 8, 2019
Messages
14
Reaction score
1
Web site to create accounts,addGM, get leafs, update passwords

The server works fine.I created a character and added leaves to it.Give him the right GM,and the character in the game GM status did not appear that I have to do ? And another problem I can not connect to the database via phpmyadmin
 
Experienced Elementalist
Joined
Nov 1, 2015
Messages
279
Reaction score
176
GM issue is a known problem with the gdeliveryd. for phpmyadmin you will have to edit /etc/httpd/conf.d/phpmyadmin.conf, find the lines where it has allow from 127.0.0.1 , and Require ip 127.0.0.1 and change it to your ip. and then use the command systemctl restart httpd
after that you should be able to access phpmyadmin.

about the gm issue see this thread http://forum.ragezone.com/f782/v496-gm-privileges-fix-1158615/
 
Newbie Spellweaver
Joined
Feb 8, 2019
Messages
14
Reaction score
1
Milos.thanks for the advice on working with phpmyadmin .I did everything you said, but phpmyadmin never worked.And I found a solution in Google changed the data in the file.Now everything works fine and I connect to the database <Directory /usr/share/phpMyAdmin/>AddDefaultCharset UTF-8<IfModule mod_authz_core.c># Apache 2.4<RequireAny>#Require ip 127.0.0.1#Require ip ::1Require all granted</RequireAny></IfModule><IfModule !mod_authz_core.c># Apache 2.2Order Deny,AllowDeny from AllAllow from 127.0.0.1Allow from ::1</IfModule></Directory><Directory /usr/share/phpMyAdmin/setup/><IfModule mod_authz_core.c># Apache 2.4<RequireAny>#Require ip 127.0.0.1#Require ip ::1Require all granted</RequireAny></IfModule><IfModule !mod_authz_core.c># Apache 2.2Order Deny,AllowDeny from AllAllow from 127.0.0.1Allow from ::1</IfModule></Directory>. . . . .
 
Newbie Spellweaver
Joined
Jul 25, 2016
Messages
30
Reaction score
11
Milos, thank you for contributing to the FW scene. I'm sure you'll have made a select group of folks particularly happy about that.
nanamura, thanks for the contributions as well! It's nice to see that the FW Community still has helpful folks out there. =)

Though I dunno what all I can do, if I can help, I'm around.
 
Skilled Illusionist
Joined
Oct 21, 2010
Messages
316
Reaction score
175
Sorry for the off topic,
Milos,

Would you have any tools, for these files that you would be willing to share for the community please?

Thank you in advance.
 
Experienced Elementalist
Joined
Nov 1, 2015
Messages
279
Reaction score
176
Sorry but no i don't, i have purchased a license for the rodysoft tools, so that is what i use.
 
Skilled Illusionist
Joined
Oct 21, 2010
Messages
316
Reaction score
175
Thank you for the information.
I do not know much about these files.
I will do the same and purchase a license from them as such.

Thank you very much.
 
Initiate Mage
Joined
Apr 8, 2019
Messages
1
Reaction score
0
Hello! tell me, I put the server from the post, it started up normally, I log into the client, and your version of the client gives me is outdated. The client is also from the post. how do i fix this Help(
 
Experienced Elementalist
Joined
Oct 11, 2010
Messages
218
Reaction score
37
Hello! tell me, I put the server from the post, it started up normally, I log into the client, and your version of the client gives me is outdated. The client is also from the post. how do i fix this Help(

If you're using the same client from the first post, then you shouldn't be getting this message, did you update the Eyrda Boutique? They need to match client and server side, else you will get that message, and make sure you're using the same client!
 
Initiate Mage
Joined
Mar 16, 2019
Messages
1
Reaction score
0
How much RAM are you using in VM? I received the same message, until using 4GB, then the standardized client.
 
Experienced Elementalist
Joined
Nov 1, 2015
Messages
279
Reaction score
176
on the server type in "ps aux | grep gs" without the quotes, one of the results should say "./gs gs.conf gmserver.conf gsalias2.conf"
if you don't get that result then the gs is not running, this could mean not enough ram given to the vm or a bad setting in one of the .data files. if the gs is not running the client will give you the out of date error. The syslog in /server-fw/logs/ will tell you why its not running.

if you give it less than 4GB the gs will not start
 
Junior Spellweaver
Joined
Jan 29, 2015
Messages
118
Reaction score
5
you can modify the "debug_command_mode",if the value is true only 2G ram enough,otherwise, you need at least 3.7G ram
 
Back
Top